
export interface Geometry {
  type: string;
  coordinates: number[][][];
}

export interface PropLinias {
  ID_LINIA: number;
  CODI_LINIA: number;
  NOM_LINIA: string;
  DESC_LINIA: string;
  ORIGEN_LINIA: string;
  DESTI_LINIA: string;
  NUM_PAQUETS: number;
  ID_OPERADOR: number;
  NOM_OPERADOR: string;
  NOM_TIPUS_TRANSPORT: string;
  CODI_FAMILIA: number;
  NOM_FAMILIA: string;
  ORDRE_FAMILIA: number;
  ORDRE_LINIA: number;
  CODI_TIPUS_CALENDARI: string;
  NOM_TIPUS_CALENDARI: string;
  DATA: string;
  COLOR_LINIA: string;
  COLOR_AUX_LINIA: string;
  COLOR_TEXT_LINIA: string;
}

export interface Feature {
  type: string;
  id: string;
  geometry: Geometry;
  geometry_name: string;
  properties: PropLinias;
}

export interface Properties2 {
  name: string;
}

export interface Crs {
  type: string;
  properties: Properties2;
}

export interface RootLinias {
  type: string;
  features: Feature[];
  totalFeatures: number;
  numberMatched: number;
  numberReturned: number;
  timeStamp: Date;
  crs: Crs;
}



