import {Component, OnInit, ViewChild} from '@angular/core';

import * as moment from 'moment';
import {DatePicker} from "@ionic-native/date-picker/ngx";
import {ModalController} from "@ionic/angular";
import {Ionic4DatepickerModalComponent} from "@logisticinfotech/ionic4-datepicker";

@Component({
  selector: 'app-caducidad-titulos',
  templateUrl: './caducidad-titulos.page.html',
  styleUrls: ['./caducidad-titulos.page.scss'],
})
export class CaducidadTitulosPage implements OnInit {

  seltDate = '';
  fechaCad = 'Data';

  customPickerOptions: any;
  customDate;
  dias = 0;
  auxNomImg = ['ATM.jpg', 't-rosa.png', 't16.jpg',
    'T-verde-metropolitana.png', 't-acompany.png',
    'T-mes.jpg', 'T-grup.png', 'T-familiar.png', 'T-jove.jpg'];
  nomImg = '';
  meses = new Array ('Gener', 'Febrer', 'Març', 'Abril', 'Maig', 'Juny', 'Juliol',
    'Agost', 'Setembre', 'Octubre', 'Novembre', 'Decembre');

  constructor(public modalCtrl: ModalController) {
    this.selectDate();
    // this.selectDate = this.datePipe.transform(new Date(), 'dd-MM-yyyy');
  }

  ngOnInit() {
    this.nomImg = this.auxNomImg[0];

    // this.selectDate();
  }

  /*
  1.- tarjeta rosa 60 dias
  2.- tarjeta t16 45 dias
  3.- tarjeta verde 45 dias
  4.- tarjeta acompañante 60 dias
  5.- tarjeta tmes 30 dias
  6.- tarjeta ttrimestre 90 dias
  7.- tarjeta tfamiliar
  8.- tarjeta tjove 90 dias

  de los dias que se le dan al cliente se resta 1 ya que el dia actual tambien cuenta
  */

  fechaTitulo(event) {

    // const meses = new Array ("Enero","Febrero","Marzo","Abril","Mayo","Junio","Julio","Agosto","Septiembre","Octubre","Noviembre","Diciembre");
    const element = event.target.parentElement.getAttribute('value');
    this.fechaCad = 'Data';
    const fecha = new Date();
    switch (element) {
      case '1':
        const diasTRosa = 59; // Número de días a agregar
        fecha.setDate(fecha.getDate() + diasTRosa);
        this.fechaCad = fecha.getDate() + ' de ' + this.meses[fecha.getMonth()] + ' de ' + fecha.getFullYear();
        this.nomImg = this.auxNomImg[1];
        break;
      case '2':
        const diasT16 = 44; // Número de días a agregar
        fecha.setDate(fecha.getDate() + diasT16);
        this.fechaCad = fecha.getDate() + ' de ' + this.meses[fecha.getMonth()] + ' de ' + fecha.getFullYear();
        this.nomImg = this.auxNomImg[2];
        break;
      case '3':
        const diasVerde = 59; // Número de días a agregar
        fecha.setDate(fecha.getDate() + diasVerde);
        this.fechaCad = fecha.getDate() + ' de ' + this.meses[fecha.getMonth()] + ' de ' + fecha.getFullYear();
        this.nomImg = this.auxNomImg[3];
        break;
      case '4':
        const diasTAcom = 59; // Número de días a agregar
        fecha.setDate(fecha.getDate() + diasTAcom);
        this.fechaCad = fecha.getDate() + ' de ' + this.meses[fecha.getMonth()] + ' de ' + fecha.getFullYear();
        this.nomImg = this.auxNomImg[4];
        break;
      case '5':
        console.log('mirar:::: ');
        // this.selectDate(29);
        this.nomImg = this.auxNomImg[5];
        this.dias = 29;
        break;
      case '6':
        // this.selectDate(89);
        this.nomImg = this.auxNomImg[6];
        this.dias = 29;
        break;
      case '7':
        // this.selectDate(29);
        this.nomImg = this.auxNomImg[7];
        this.dias = 29;
        break;
      case '8':
        // this.selectDate(89);
        this.nomImg = this.auxNomImg[8];
        this.dias = 89;
        break;
      default:
        break;
    }

  }

  selectDate() {
    // Número de días a agregar
    this.customPickerOptions = {
      buttons: [{
        text: 'Save',
        handler: (evento) => {
          const fecha = new Date(evento.year.value,
            evento.month.value - 1,
            evento.day.value + this.dias);
          console.log('Clicked Save!');
          this.customDate = fecha.getDate() + ' de ' +
            this.meses[fecha.getMonth()] + ' de ' + fecha.getFullYear();
          this.fechaCad = this.customDate;
          console.log('mes: ' + evento.month.value);
        }
      }]
    };
  }






  prueba(img) {
    console.log('HOLA: ', img);
  }

}
