import { Component, OnInit } from '@angular/core';
import {NavController} from "@ionic/angular";

@Component({
  selector: 'app-calendario',
  templateUrl: './calendario.page.html',
  styleUrls: ['./calendario.page.scss'],
})
export class CalendarioPage {

  events: any = [];
  eventSource;
  viewTitle;
  fecha: Date;
  isToday: boolean;
  fechaHoy= new Date();
  calendar = {
    mode: 'month',
    currentDate: new Date(),
    locale: 'es-ES', // para ponerlo en castellano
    startingDayMonth : 1, // importante si la semana empieza en lunes --OJO--
    dateFormatter: {
      formatMonthViewDay(date: Date) {
        return date.getDate().toString();
      },
      formatMonthViewDayHeader(date: Date) {
        return 'MonMH';
      },
      formatMonthViewTitle(date: Date) {
        return 'testMT';
      },
      formatWeekViewDayHeader(date: Date) {
        return 'MonWH';
      },
      formatWeekViewTitle(date: Date) {
        return 'testWT';
      },
      formatWeekViewHourColumn(date: Date) {
        return 'testWH';
      },
      formatDayViewHourColumn(date: Date) {
        return 'testDH';
      },
      formatDayViewTitle(date: Date) {
        return 'testDT';
      }
    }
  };
  myDynamicClass: string;
  letraL = [1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0];
  letraK = [0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0];
  letraM = [0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1];
  letraN = [0, 0, 0, 0, 0, 1, 1, 0, 0, 0, 1, 1, 0, 0, 1, 1, 0, 0, 0, 0, 0, 0, 0, 1, 1, 1, 0, 0];


  constructor(private navController: NavController) {

  }
  getCustomClass(events) {
    return 'test';
  }
  ionViewWillEnter(){

    this.letraX(this.letraK);
  }

  segmentChanged(ev: any) {
    // console.log('Segment changed', ev.detail.value);
    switch (ev.detail.value) {
      case 'letterL':
        this.letraX(this.letraL);
        console.log('Segment changed letterL');
        break;
      case 'letterM':
        this.letraX(this.letraM);
        console.log('Segment changed letterM');
        break;
      case 'letterK':
        this.letraX(this.letraK);
        console.log('Segment changed letterK');
        break;
      case 'letterN':
        this.letraX(this.letraN);
        console.log('Segment changed letterN');
        break;
      default:
        alert('No hi ha lletra seleccionada');
        break;
    }
  }
  letraX(item) {
    // const colors: string[] = ['primary', 'warning', 'danger', 'success'];
    const fechaP = new Date(1485990000000);
    // calculo de la fecha desde 1 de febrero de 2017 que en milisegundos es 1485990000000
    const febrero17 = 1485990000000;
    // hay 86400000 en un dia
    // los milisegundos del dia actual
    const date = new Date();
    const timestamp = date.getTime();
    const cont = item.length;
    let x = 0;
    const startTime = new Date();
    console.log('febrero: ' + febrero17 + ' --- ' + timestamp);

    const events = [];
    for ( let i = febrero17; i < timestamp + 94608000000; i = i + 86400000 ){
      if (item[x] === 1){
        events.push({
          title: 'Fiesta',
          startTime: new Date(i),
          endTime: new Date(i),
          color: 'danger',
          allDay: true
        });

      }

      x++;
      if (x >= cont) {
        x = 0;
      }
    }
// console.log('prueba');
    this.eventSource = events;
  }
  addDays(date, days) {
    const copy = new Date(Number(date));
    copy.setDate(date.getDate() + days);
    return copy;
  }

  sumarDias(fecha, dias){
    this.fecha = fecha.setDate(fecha.getDate() + dias);
    return this.fecha;
  }

  onViewTitleChanged(title) {
    this.viewTitle = title;
    //this.viewTitle.style.setProperty('--text-transform:', 'capitalize');
  }


}
