import {Component, Injectable, OnInit, ViewChild} from '@angular/core';
import {DataTmbInternal2Service} from "../../../service/data-tmb-internal-2.service";
import {IonSegment} from "@ionic/angular";
import { Storage } from '@ionic/storage';

@Component({
  selector: 'app-lista-estaciones',
  templateUrl: './lista-estaciones.page.html',
  styleUrls: ['./lista-estaciones.page.scss'],
})

@Injectable()
export class ListaEstacionesPage implements OnInit {

  @ViewChild(IonSegment, {static: true}) segment: IonSegment;

  lineas = [
    {name: 'Línea 1', img: '/assets/img/l1.png', valor: 1},
    {name: 'Línea 2', img: '/assets/img/l2.png', valor: 2},
    {name: 'Línea 3', img: '/assets/img/l3.png', valor: 3},
    {name: 'Línea 4', img: '/assets/img/l4.png', valor: 4},
    {name: 'Línea 5', img: '/assets/img/l5.jpg', valor: 5},
    {name: 'Línea 11', img: '/assets/img/l11.jpg', valor: 11}
  ];
  lin_pru:any;
  linea = '';
  estaciones: any[] = [];
  accesible: any [] = [];
  trenes: any;
  key = 'liniaSeleccionadaMN';

  constructor(private dataService: DataTmbInternal2Service, private storage: Storage) {}

  ngOnInit() {

  }


  cambioDeLinea(event) {
    const linea = event.detail.value;
    // guardamos la key
    this.storage.set(this.key, linea);
    this.cargarLinea(linea);
    this.linea = linea;
  }

  cargarLinea(event) {
    this.lin_pru = event;
    this.estaciones = [];
    this.dataService.getStations(event).subscribe(resp => {
      console.log('respuesta: ', resp['data'].features);
      this.estaciones.push(...resp['data'].features);

    });
  }

  ionViewWillEnter() {
    this.storage.get(this.key).then((val) => {
      console.log('Lo valido es: ', val);
      this.segment.value = val;
      if (val === null) {
        this.cargarLinea(this.lineas[0].valor.toString());
        this.linea = this.lineas[0].valor.toString();
        this.segment.value = this.lineas[0].valor.toString();
      } else {
        this.cargarLinea(val);
        this.linea = val;
      }

    });
  }

  mStation(item) {
    // console.log('OYE OYE');
    // console.log(item);
  }
}
