import { Component, OnInit } from '@angular/core';
import {AuthService} from "../../../service/auth.service";
import {Router} from "@angular/router";
import {IonInput} from "@ionic/angular";
import {Storage} from "@ionic/storage";

@Component({
  selector: 'app-login',
  templateUrl: './login.page.html',
  styleUrls: ['./login.page.scss'],
})
export class LoginPage implements OnInit {

  public verificado = false;

  constructor(private authService: AuthService,
              private router: Router,
              private storage: Storage) { }

  ngOnInit() {

  }
  estaIniciadaSesion() {
    this.storage.get('isVerified').then(res => {
      console.log(res);
      if(res!= null) {
        this.router.navigate(['admin']);
      }
    });
  }
  ionViewWillEnter() {

  }

  async onLogin(email: IonInput, password: IonInput) {
    try {
      console.log('LOGIN...');
      const user = await this.authService.login(email, password);
      if (user){
        const isVerified = this.authService.isEmailVerify(user);
        this.redirectUser(isVerified);
        this.storage.set('isVerified', true);
      }
    }catch (e) {
      console.log(e);
    }
  }

  /*
  async onLoginGoogle() {
    try {
      const user = await this.authService.loginGoogle();
      const isVerified = this.authService.isEmailVerify(user);
      this.redirectUser(isVerified);
      if (user){
        // check email
        console.log('usr google: ', user);
      }
    }catch (e) {
      console.log(e);
    }
  }
  */

  private redirectUser(isVerified: boolean) {
    if(isVerified){
      this.router.navigate(['admin']);
    } else {
      this.router.navigate(['verify-email']);
    }
  }
}
