import { Component, OnInit } from '@angular/core';
import {AuthService} from "../../../service/auth.service";
import {Router} from "@angular/router";

@Component({
  selector: 'app-register',
  templateUrl: './register.page.html',
  styleUrls: ['./register.page.scss'],
})
export class RegisterPage implements OnInit {

  constructor(private authService: AuthService, private router: Router) { }

  ngOnInit() {
  }

  async onRegister(email, password) {
    try{
      // usuarios tmb
      let index = email.value.indexOf('@');
      let mailConf = email.value.substr(index);
      if (mailConf != '@tmb.cat'){
        // mensaje de usuario no autorizado
        console.log('usuario no autorizado');
      } else {
        const user = await this.authService.register(email.value, password.value);
        if (user) { // si el usuario esta verificado, es necesario que verifique el mail
          const isVerified = this.authService.isEmailVerify(user);
          this.redirectUser(isVerified);
        }
      }

    } catch (e) {
      console.log(e);
    }
  }

  private redirectUser(isVerified: boolean) {
    if(isVerified){
      this.router.navigate(['admin']);
    } else {
      this.router.navigate(['verify-email']);
    }
  }

}
