import { Component } from '@angular/core';
import {Observable} from "rxjs";
import {User} from "../../interfaces/user";
import {AuthService} from "../../../service/auth.service";

@Component({
  selector: 'app-verify-email',
  templateUrl: './verify-email.page.html',
  styleUrls: ['./verify-email.page.scss'],
})
export class VerifyEmailPage {
  public user$: Observable<User> = this.authService.afAuth.user;
  constructor(private authService: AuthService) { }


  async onSenEmail(): Promise<void> {
    try {
      this.authService.sendVerificationEmail();
    } catch (e) {
      console.log(e);
    }
  }
  ngOnDestroy(): void {
    this.authService.logout();
  }
}
